/*
 Copyright 2016 Hardy Lau, DL1GLH

 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

 3. Neither the name of the copyright holder nor the names of its contributors
    may be used to endorse or promote products derived from this software without
    specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#define POWER_ON_EXPERT 12 //BCM10 -> Phys PIN 19
#define POWER_ON_FLEX 23   //BCM13 -> Phys PIN 33
#define TX_INHIBIT_FLEX 21 //BCM5 ->  Phys PIN 29
#define PTT_FLEX 13        //BCM9 ->  Phys PIN 21  INPUT !!!
#define PTT_ENABLE_FLEX 14 //BCM11 -> Phys PIN 23
#define CONTROL_UB 24      //BCM19 -> Phys PIN 35

#include <wiringPi.h>

#define DIRREV 1
#define DIRBI 2
#define DIRNORM 0
#define NODIR -1

#define STX 0xf5
#define ETX 0xfa
#define DLE 0xf6

#define ULTRABEAM_LOW_FREQUENCY_EDGE 6.9
#define ULTRABEAM_HIGH_FREQUENCY_EDGE 52.0
